{
  description = "Neovim configuration";

  inputs = {
    neovim-flake.url = "github:neovim/neovim?dir=contrib";
    neovim-flake.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { self, nixpkgs, neovim-flake }:
    let
      withOverlay = system: import nixpkgs {
        inherit system;
        overlays = [ self.overlay ];
      };
    in
    {
      overlay = final: prev: {
        neovim-unwrapped = neovim-flake.packages.${prev.system}.neovim;
      };

      packages.x86_64-linux.default = (withOverlay "x86_64-linux").callPackage ./neovim.nix {};
      packages.x86_64-linux.playground = (withOverlay "x86_64-linux").callPackage ./neovim.nix { withPlayground = true; };
    };
}
